export interface PtSubsidyitemVO {
  /**
   * 明细Id,主键
   */
  itemId: string | number;

  /**
   * 补助设置Id
   */
  mainId: string | number;

  /**
   * 补助人员Id
   */
  userId: string | number;

  /**
   * 补助类型
   */
  subsidyType: string | number;

  /**
   * 补助金额
   */
  fillMoney: number;

  /**
   * 预计到账时间
   */
  fillDate: string;

  /**
   * 领取状态
   */
  fillStatus: string;

  /**
   * 领取时间
   */
  getDate: string;

  /**
   * 领取补助之后钱包余额
   */
  beforeMoney: number;

  /**
   * 领取补助之后钱包余额
   */
  afterMoney: number;

  /**
   * 原始记录Id,一般是指写入的充值备份表主键
   */
  originalId: string | number;

  /**
   * 用户编号/工号
   */
  userNumb: string;

  /**
   * 用户姓名
   */
  realName: string;

  /**
   * 部门名称
   */
  detpName: string;

  /**
   * 备注
   */
  remark: string;

}

export interface PtSubsidyitemForm extends BaseEntity {
  /**
   * 明细Id,主键
   */
  itemId?: string | number;

  /**
   * 补助设置Id
   */
  mainId?: string | number;

  /**
   * 补助人员Id
   */
  userId?: string | number;

  /**
   * 补助类型
   */
  subsidyType?: string | number;

  /**
   * 补助金额
   */
  fillMoney?: number;

  /**
   * 预计到账时间
   */
  fillDate?: string;

  /**
   * 领取状态
   */
  fillStatus?: string;

  /**
   * 领取时间
   */
  getDate?: string;

  /**
   * 领取补助之后钱包余额
   */
  beforeMoney?: number;

  /**
   * 领取补助之后钱包余额
   */
  afterMoney?: number;

  /**
   * 原始记录Id,一般是指写入的充值备份表主键
   */
  originalId?: string | number;

  /**
   * 用户编号/工号
   */
  userNumb?: string;

  /**
   * 用户姓名
   */
  realName?: string;

  /**
   * 部门名称
   */
  detpName?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface PtSubsidyitemQuery extends PageQuery {

  /**
   * 补助设置Id
   */
  mainId?: string | number;

  /**
   * 补助人员Id
   */
  userId?: string | number;

  /**
   * 补助类型
   */
  subsidyType?: string | number;

  /**
   * 领取状态
   */
  fillStatus?: string;

  /**
   * 用户姓名
   */
  realName?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



